/// platform_move_x_step(context, taken)
// Detects new actors affected by the elevator on this step (#taken)
// @author YellowAfterlife
var ctx = argument0;
var ctx_platform = ctx[@0];
var ctx_map = ctx[@1];
var ctx_keys = ctx[@2];
var ctx_values = ctx[@3];
var steps_taken = argument1;
// loop through all actors that are not yet affected:
with (obj_actor) if (!ds_map_exists(ctx_map, id)) {
    var _y = bbox_bottom + 1;
    if (collision_rectangle(bbox_left, _y, bbox_right, _y, ctx_platform, true, true)) {
        // if the instance is standing on top of the platform, add it to the list
        ctx_map[?id] = true;
        ds_list_add(ctx_keys, id);
        ds_list_add(ctx_values, steps_taken);
    }
}
